Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface HashOperations<H,HK,HV>

    public interface HashOperations<H,HK,HV>

Redis map specific operations working on a hash.

Method Summary
`void` | `delete(H key, Object... hashKeys)`
`Map<HK,HV>` | `entries(H key)`
`HV` | `get(H key, Object hashKey)`
`RedisOperations<H,?>` | `getOperations()`
`Boolean` | `hasKey(H key, Object hashKey)`
`Double` | `increment(H key, HK hashKey, double delta)`
`Long` | `increment(H key, HK hashKey, long delta)`
`Set<HK>` | `keys(H key)`
`List<HV>` | `multiGet(H key, Collection<HK> hashKeys)`
`void` | `put(H key, HK hashKey, HV value)`
`void` | `putAll(H key, Map<? extends HK,? extends HV> m)`
`Boolean` | `putIfAbsent(H key, HK hashKey, HV value)`
`Long` | `size(H key)`
`List<HV>` | `values(H key)`

Method Detail

### delete

    void delete(H key,
                Object... hashKeys)

### hasKey

    Boolean hasKey(H key,
                   Object hashKey)

### get

    HV get(H key,
           Object hashKey)

### multiGet

    List<HV> multiGet(H key,
                      Collection<HK> hashKeys)

### increment

    Long increment(H key,
                   HK hashKey,
                   long delta)

### increment

    Double increment(H key,
                     HK hashKey,
                     double delta)

### keys

    Set<HK> keys(H key)

### size

    Long size(H key)

### putAll

    void putAll(H key,
                Map<? extends HK,? extends HV> m)

### put

    void put(H key,
             HK hashKey,
             HV value)

### putIfAbsent

    Boolean putIfAbsent(H key,
                        HK hashKey,
                        HV value)

### values

    List<HV> values(H key)

### entries

    Map<HK,HV> entries(H key)

### getOperations

    RedisOperations<H,?> getOperations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD